Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl
Class TExtensibilityElementImpl

    java.lang.Object
      org.apache.cxf.wsdl.TExtensibilityElement
          org.apache.cxf.wsdl.TExtensibilityElementImpl

All Implemented Interfaces:
  javax.wsdl.extensions.ExtensibilityElement

Direct Known Subclasses:
  AddressType, BindingType, OperationType

    public class TExtensibilityElementImpl

extends TExtensibilityElement
implements javax.wsdl.extensions.ExtensibilityElement

Implements the `ExtensibilityElement` interface.

Field Summary

Fields inherited from class org.apache.cxf.wsdl.TExtensibilityElement
`required`

Constructor Summary
`TExtensibilityElementImpl()`

Method Summary
`javax.xml.namespace.QName` | `getElementType()` Returns the type of this extensibility element.
`java.lang.Boolean` | `getRequired()` Get whether or not the semantics of this extension are required.
`void` | `setElementType(javax.xml.namespace.QName type)` Sets the type of this extensibility element.
`void` | `setRequired(java.lang.Boolean value)`

Methods inherited from class org.apache.cxf.wsdl.TExtensibilityElement
`isRequired, isSetRequired, setRequired, unsetRequired`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TExtensibilityElementImpl

    public TExtensibilityElementImpl()

Method Detail

### getElementType

    public javax.xml.namespace.QName getElementType()

  Returns the type of this extensibility element.

  Specified by:
    `getElementType` in interface `javax.wsdl.extensions.ExtensibilityElement`
  Returns:
    QName the type of this element.

### setElementType

    public void setElementType(javax.xml.namespace.QName type)

  Sets the type of this extensibility element.

  Specified by:
    `setElementType` in interface `javax.wsdl.extensions.ExtensibilityElement`
  Parameters:
    `type` - QName the type of this element.

### getRequired

    public java.lang.Boolean getRequired()

  Get whether or not the semantics of this extension are required. Relates to the wsdl:required attribute.

  Specified by:
    `getRequired` in interface `javax.wsdl.extensions.ExtensibilityElement`
  Returns:
    Boolean

### setRequired

    public void setRequired(java.lang.Boolean value)

  Specified by:
    `setRequired` in interface `javax.wsdl.extensions.ExtensibilityElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.